Bug 178036 - CVE-2006-0208 PHP Cross Site Scripting (XSS) flaw
CVE-2006-0208 PHP Cross Site Scripting (XSS) flaw
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-01-17 10:29 EST by Josh Bressers
Modified: 2008-02-23 01:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-23 01:02:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-17 10:29:11 EST
+++ This bug was initially created as a clone of Bug #178028 +++

PHP 5.1.2 has been released:

The release announcement mentions this security fix:
    * Possible cross-site scripting problems in certain error conditions.

The problem exists in the way PHP displays error messages.  This issue is only
exploitable when 'display_errors' and 'html_errors' are both set to 'On' in the
PHP configuration file.  When a HTML error message was being generated, the
output was not properly sanitized, which could allow an attacker to insert
arbitrary HTML, thus allowing a XSS attack.

This issue is only exploitable if 'html_errors' is on, which the configuration
file cleary states should not be used on production machines.

I have verified this flaw exists in the PHP 4.3 and 5.1 branches.
Comment 1 Christian Iseli 2007-01-22 06:55:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 petrosyan 2008-02-23 01:02:24 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.